Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024735
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-09-10 19:032013-09-17 19:02
ReporterpsarobeView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision28e99892996e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topsarobe
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024735: New search selector for Characteristic description is not working fine in product selector

DescriptionThe same for the selector "Create lines" in purchase order window
Steps To Reproduce1. Go to sales order window. Create a header and save
2. Move to lines tab. Click new
3. Press the product selector. Filter by a generic product that retrieves products
4. Being filtered by this product filter by one of the characteristics for this product clicking the search selector. For example Blue
5. Now change the filter (i.e: if you were filtered by Blue, now filter just by Red)

NOTE: Obviously for these steps you should have product variants for red and also blue

6. Notice no items are showed. This is wrong


NOTE: The same happens in the "create lines" button in purchase order window
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024739 closedalostale Characteristic description filter is not working well in product selector 

-  Notes
(0061070)
alostale (developer)
2013-09-11 10:15

This issue reports 2 different problems:

-Filter not working in some occasions in product selector. First time it works, subsequent one it is not because old criteria is preserved appending new one.
-Filter not working at all in P&E window. The problem is it only works in Product window or selector, as its HQL is hardcoded for these two cases.

Executed test cases:
- Characteristics filter works in Product window, filtering only by product characteristics several times selecting different characteristics.
- Characteristics filter works in Product window, filtering by different columns at the same time and selecting different characteristics.
- Characteristics filter works in Sales Order Line tab, filtering only by product characteristics several times selecting different characteristics.
- Characteristics filter works in Sales Order Line tab, filtering by different columns at the same time and selecting different characteristics.
- Characteristics filter works in Purchase Order window > Create Lines P&E, filtering only by product characteristics several times selecting different characteristics.
- Characteristics filter works in Purchase Order window > Create Lines P&E, filtering by different columns at the same time and selecting different characteristics.
(0061071)
hgbot (developer)
2013-09-11 10:16

Repository: erp/devel/pi
Changeset: 20a10750ce14b6c6b21b09d25112fb82b412c5b8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Sep 11 09:02:44 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/20a10750ce14b6c6b21b09d25112fb82b412c5b8 [^]

related to bug 24735: characteristics filter not working in product selector

  Properly set operator type in OBCharacteristicsFilterItem, so DynamicForm.shouldApplyCriterionToItem
  method is able correctly evaluate whether the criterion is managed by that item. If operator type
  is default (iContains), shouldApplyCriterionToItem cannot properly determine the item managing the
  criterion, resulting in some cases it to be stored in _extraAdvancedCriteria to be preserved as a
  non directly editable filter, appending in this way new criterions to previous one.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
---
(0061072)
hgbot (developer)
2013-09-11 10:17

Repository: erp/devel/pi
Changeset: 28e99892996e26149634a81d549f427893d3f5b9
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Sep 11 10:09:07 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/28e99892996e26149634a81d549f427893d3f5b9 [^]

fixed bug 24735: characteristics filter only works in product window or selector

  HQL query to be executed needs to determine product property in the entity that
  is being filtered. Now this is determined based on field name path, previously
  it was hardcoded for the two working cases (product window and product selector)

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
---
(0061079)
psarobe (manager)
2013-09-11 13:09

Works fine
(0061235)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test
(0061236)
hudsonbot (developer)
2013-09-17 19:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1c53d622fc50 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-09-10 19:03 psarobe New Issue
2013-09-10 19:03 psarobe Assigned To => AugustoMauch
2013-09-10 19:03 psarobe Modules => Core
2013-09-10 19:03 psarobe Triggers an Emergency Pack => No
2013-09-10 19:05 psarobe Steps to Reproduce Updated View Revisions
2013-09-11 09:03 alostale Assigned To AugustoMauch => alostale
2013-09-11 10:15 alostale Note Added: 0061070
2013-09-11 10:16 alostale Review Assigned To => AugustoMauch
2013-09-11 10:16 hgbot Checkin
2013-09-11 10:16 hgbot Note Added: 0061071
2013-09-11 10:17 hgbot Checkin
2013-09-11 10:17 hgbot Note Added: 0061072
2013-09-11 10:17 hgbot Status new => resolved
2013-09-11 10:17 hgbot Resolution open => fixed
2013-09-11 10:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/28e99892996e26149634a81d549f427893d3f5b9 [^]
2013-09-11 12:11 alostale Relationship added related to 0024739
2013-09-11 13:09 psarobe Review Assigned To AugustoMauch => psarobe
2013-09-11 13:09 psarobe Note Added: 0061079
2013-09-11 13:09 psarobe Status resolved => closed
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061235
2013-09-17 19:02 hudsonbot Checkin
2013-09-17 19:02 hudsonbot Note Added: 0061236


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker